/********** Template CSS **********/
:root {
    --primary: #009CFF;
    --light: #F3F6F9;
    --dark: #191C24;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 45px;
    bottom: 45px;
    z-index: 99;
}


/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    transition: .5s;
}

.btn.btn-primary {
    color: #FFFFFF;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
    border-radius: 50px;
}

.sidebar::-webkit-scrollbar-track
{
    background-color: #F5F5F5;
}

.sidebar::-webkit-scrollbar
{
    width: 2px;
    background-color: #F5F5F5;
}

.sidebar::-webkit-scrollbar-thumb
{
    background-color: #f1f1f1;
    border: 2px solid rgba(85, 85, 85, 0.61);
}
.scroll-btn{
    overflow: auto;
    scroll-snap-type: x mandatory;
    padding-bottom: 0.5rem;
}
.scroll-btn > a{
    scroll-snap-align: start;
}

/*** Layout ***/
.sidebar {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: 50px;
    height: 100vh;
    background: var(--light);
    transition: 0.5s;
    z-index: 999;
}
.content {
    margin-left: 60px;
    min-height: 100vh;
    background: #FFFFFF;
    transition: 0.5s;
}
.navbar-nav a{
    font-size: 0.6rem!important;
}
.icon-menu{
    font-size:1rem!important;
}


@media (min-width: 992px) {
    .sidebar.open {
        margin-left: 0;
    }

    .sidebar {
        margin-left: -260px;
    }

    .content {
        width: calc(100% - 60px);
    }

    .content {
        width: 100%;
        margin-left: 0;
    }
}

@media (max-width: 991.98px) {
    .sidebar {
        margin-left: -260px;
    }

    .sidebar.open {
        margin-left: 0;
    }

    .content {
        width: 100%;
        margin-left: 0;
    }
}

.sidebar {
    z-index: 1100;
}

/*** Navbar ***/
.sidebar .navbar .navbar-nav .nav-link {
    /*padding: 7px 20px;*/
    color: var(--dark);
    font-weight: 500;
    border-left: 3px solid var(--light);
    border-radius: 0 30px 30px 0;
    outline: none;
    text-align: center;
}

.sidebar .navbar .navbar-nav .nav-link:hover,
.sidebar .navbar .navbar-nav .nav-link.active {
    color: var(--primary);
    background: #FFFFFF;
    border-color: var(--primary);
}

.sidebar .navbar .navbar-nav .nav-link i {
    background: #FFFFFF;
    border-radius: 40px;
    font-size:1.087rem !important;
}

.sidebar .navbar .navbar-nav .nav-link:hover i,
.sidebar .navbar .navbar-nav .nav-link.active i {
    background: var(--light);
}

.sidebar .navbar .dropdown-toggle::after {
    position: absolute;
    top: 15px;
    right: 15px;
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    transition: .5s;
}

.sidebar .navbar .dropdown-toggle[aria-expanded=true]::after {
    transform: rotate(-180deg);
}

.sidebar .navbar .dropdown-item {
    padding-left: 25px;
    border-radius: 0 30px 30px 0;
}

.content .navbar .navbar-nav .nav-link {
    margin-left: 10px;
    padding: 8px 0;
    color: var(--dark);
    outline: none;
}
.content .navbar .navbar-nav .nav-link:hover,
.content .navbar .navbar-nav .nav-link.active {
    color: var(--primary);
}

.content .navbar .sidebar-toggler,
.content .navbar .navbar-nav .nav-link i {
    width: 40px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: #FFFFFF;
    border-radius: 40px;
}

.content .navbar .dropdown-toggle::after {
    margin-left: 6px;
    vertical-align: middle;
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    transition: .5s;
}

.content .navbar .dropdown-toggle[aria-expanded=true]::after {
    transform: rotate(-180deg);
}

/*@media (max-width: 575.98px) {*/
/*    .content .navbar .navbar-nav .nav-link {*/
/*        margin-left: 15px;*/
/*    }*/
/*    .scroll-btn{*/
/*        overflow: auto;*/
/*        scroll-snap-type: x mandatory;*/
/*        width:100%;*/
/*        gap: 10px;*/
/*    }*/
/*    .scroll-btn > a{*/
/*        scroll-snap-align: start;*/
/*        width:100%!important;*/
/*        min-width: 91%;*/
/*        border-radius: 8px !important;*/
/*    }*/
/*}*/


/*** Date Picker ***/
.bootstrap-datetimepicker-widget.bottom {
    top: auto !important;
}

.bootstrap-datetimepicker-widget .table * {
    border-bottom-width: 0px;
}

.bootstrap-datetimepicker-widget .table th {
    font-weight: 500;
}

.bootstrap-datetimepicker-widget.dropdown-menu {
    padding: 10px;
    border-radius: 2px;
}

.bootstrap-datetimepicker-widget table td.active,
.bootstrap-datetimepicker-widget table td.active:hover {
    background: var(--primary);
}

.bootstrap-datetimepicker-widget table td.today::before {
    border-bottom-color: var(--primary);
}


/*** Testimonial ***/
.progress .progress-bar {
    width: 0px;
    transition: 2s;
}


/*** Testimonial ***/
.testimonial-carousel .owl-dots {
    margin-top: 24px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.testimonial-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    border: 5px solid var(--primary);
    border-radius: 15px;
    transition: .5s;
}

.testimonial-carousel .owl-dot.active {
    background: var(--dark);
    border-color: var(--primary);
}

.main-login{
    /*background-image: url('https://scitechdaily.com/images/Jetliner-Airplane-Flying.jpg');*/
    /*background-image: url('../img/backgroud.jpg');*/
    /*background-image: url('../img/wp7050216.avif');*/
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
}
.help-block{
    color: rgba(217, 13, 13, 0.84);
}
.form-control:disabled, .form-control:read-only{
    background-color: white;
}
.control-label{
    font-size: 14px;
}
.select2-selection__clear{
    margin-right: 10px;
    margin-top: 4px;
}
.cursor-pointer{
    cursor: pointer;
}
.fs-16{
    font-size: 16px!important;
}
.fs-15{
    font-size: 15px!important;
}
.fs-14{
    font-size: 14px!important;
}
.fs-13{
    font-size: 13px!important;
}
.fs-12{
    font-size: 12px!important;
}
.fs-11{
    font-size: 11px!important;
}
.fs-10{
    font-size: 10px!important;
}
.fs-9{
     font-size: 9px!important;
 }
.fs-8{
    font-size: 8px!important;
}
.fs-28{
    font-size: 28px!important;
}
.w-33{
    width: 33.333%!important;
}
.w-40{
    width: 40%!important;
}
.w-20{
    width: 20%!important;
}
.w-70{
    width: 70%!important;
}
.w-30{
    width: 30%!important;
}
.nav-parent{
    position: relative;
}
.nav-child{
    position: absolute;
    left: 0;
    top: 0;
    z-index: 999999;
    background-color: white;
}
/*.pagination li a{*/
/*    padding-right: 1rem !important;*/
/*    padding-left: 1rem !important;*/
/*    border: 1px solid #009CFF !important;*/
/*    border-radius: 2rem!important;*/
/*}*/
.help-block{
    font-size: 11px!important;
}
.text-bg-buyer{
    background-color: #88a73d;
}
.text-bg-manager{
  background-color: #4d739399;
}
#comments{
    max-height: 190px;
    overflow-y: auto;
}

.p-menu{
    padding:1px!important;
}
.buyer-comment{
    width: 90%;
}
.manager-comment{
    width: 90%;
}
.cursor-pointer{
    cursor: pointer!important;
}
.cursor-not-allowed{
    cursor: not-allowed!important;
}
.select2-container--krajee-bs5 .select2-selection--single{
    height: calc(2rem + 2px) !important;
}
.notification-bell{
    font-size: 20px;
}

.btn__badge {
    background: #FF5D5D;
    color: white;
    font-size: 12px;
    position: absolute;
    top: 5px;
    right: 0;
    padding:  0 6px;
    border-radius: 50%;
}

.pulse-button {
    box-shadow: 0 0 0 0 rgba(255, 0, 0, 0.5);
    -webkit-animation: pulse 1.5s infinite;
}

.pulse-button:hover {
    -webkit-animation: none;
}

@-webkit-keyframes pulse {
    0% {
        -ms-transform: scale(0.9);
        transform: scale(0.9);
    }
    70% {
        transform: scale(1);
        box-shadow: 0 0 0 20px rgba(255, 0, 0, 0);
    }
    100% {
        -ms-transform: scale(0.9);
        transform: scale(0.9);
        box-shadow: 0 0 0 0 rgba(255, 0, 0, 0);
    }
}
@media screen and (max-width: 860px){
    .currency-exchange{
        display:none;
    }
}
.notification-div{
    width: 270px;
    max-height: 400px;
    overflow: scroll;
}
.max-width-200{
    max-width: 200px;
}
.m-h-3rem{
    width: 3rem;
    height: 3rem;
}
.m-h-40px{
    width: 35px;
    height: 35px;
}
.shadow-my{
    border-bottom:2px solid #f1f1f1;
}
.min-w-300{
    min-width:200px;
}
.form-check-input{
    cursor:pointer;
}
.field-pass {
    display: flex;
    margin-bottom: 5px;
}

.field-pass label {
    font-size: 0 !important;
}

.field-pass input {
    font-size: 16px !important;
}
.check-pass{
    display:flex;
    align-items: center;
    justify-content: center;
    gap:4px;
    margin-bottom:4px;
}
.alert-main{
    position: absolute;
    z-index: 100;
    right: 15px;
    min-width:250px;
}
.w-100px{
    width:100px!important;
}
.w-80px{
    width:80px!important;
}
.bg-success-table{
    background-color: #c3e6cb!important;
    color:#000;
}

.monitor{
    background-color:#eff1f4;!important;
}
.btn-outline-primary:hover{
    color:#fff!important;
}